Add an option to disable the tk module

Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>

---
 Makefile.pre.in |   14 ++++++++++----
 configure.in    |    9 +++++++++
 2 files changed, 19 insertions(+), 4 deletions(-)

Index: Python-2.7.1/Makefile.pre.in
===================================================================
--- Python-2.7.1.orig/Makefile.pre.in
+++ Python-2.7.1/Makefile.pre.in
@@ -851,8 +851,7 @@
 	plat-mac/lib-scriptpackages/SystemEvents \
 	plat-mac/lib-scriptpackages/Terminal 
 PLATMACPATH=:plat-mac:plat-mac/lib-scriptpackages
-LIBSUBDIRS=	lib-tk \
-                site-packages \
+LIBSUBDIRS=	site-packages \
 		encodings compiler hotshot \
 		email email/mime \
 		json \
@@ -865,8 +864,7 @@
 		curses $(MACHDEPS)
 
 ifeq (@TEST_MODULES@,yes)
-LIBSUBDIRS +=	lib-tk/test lib-tk/test/test_tkinter	\
-	      	lib-tk/test/test_ttk test test/data	\
+LIBSUBDIRS +=	test test/data	\
 		test/decimaltestdata test/xmltestdata 	\
 		test/tracedmodules   			\
 		email/test email/test/data		\
@@ -896,6 +894,14 @@
 endif
 endif
 
+ifeq (@TK@,yes)
+LIBSUBDIRS += lib-tk
+ifeq (@TEST_MODULES@,yes)
+LIBSUBDIRS += lib-tk/test lib-tk/test/test_tkinter	\
+	      lib-tk/test/test_ttk
+endif
+endif
+
 libinstall:	build_all $(srcdir)/Lib/$(PLATDIR)
 	@for i in $(SCRIPTDIR) $(LIBDEST); \
 	do \
Index: Python-2.7.1/configure.in
===================================================================
--- Python-2.7.1.orig/configure.in
+++ Python-2.7.1/configure.in
@@ -2401,6 +2401,15 @@
    DISABLED_EXTENSIONS="${DISABLED_EXTENSIONS} _sqlite3"
 fi
 
+AC_SUBST(TK)
+AC_ARG_ENABLE(tk,
+	AS_HELP_STRING([--disable-tk], [disable tk]),
+	[ TK="${enableval}" ], [ TK=yes ])
+
+if test "$TK" = "no"; then
+   DISABLED_EXTENSIONS="${DISABLED_EXTENSIONS} _tkinter"
+fi
+
 AC_SUBST(PYDOC)
 
 AC_ARG_ENABLE(pydoc,
